## kluppe 0.5.1

=== Makefile ===
CC = gcc
VERSION = `cat VERSION`
INSTALL_PREFIX = /usr/local
BIN_DIR = $(INSTALL_PREFIX)/bin
PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
TEMP_ROOT = /tmp
TEMP_DIR = kluppe-$(VERSION)
#CFLAGS = -O3  -Wall -march=pentium3 -g
CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA
export 

kluppe: commons 
	cd src/frontend/kluppe && $(MAKE)

klopfer: commons
	cd src/frontend/klopfer && $(MAKE)

commons:
	cd src/common/ && $(MAKE) common

install: kluppe
	cd src/frontend/kluppe && $(MAKE) install

klopfer_install: klopfer
	cd src/frontend/klopfer && $(MAKE) install

clean:
	cd src/common && $(MAKE) clean
	cd src/frontend/kluppe && $(MAKE) clean
	cd src/frontend/klopfer && $(MAKE) clean

tgz: clean
	mkdir $(TEMP_ROOT)/$(TEMP_DIR)
	cp -faR src Makefile TODO VERSION CHANGES.log LICENSE.txt README.txt $(TEMP_ROOT)/$(TEMP_DIR)
	tar -C $(TEMP_ROOT) -cvzpf kluppe-$(VERSION).tar.gz $(TEMP_DIR)
	rm -R $(TEMP_ROOT)/$(TEMP_DIR)
#	cd ..;tar --exclude *.wav --exclude *.o -cvzpf kluppe-`cat kluppe/VERSION`.tar.gz kluppe/

=== src/common/Makefile ===
SOURCES = speciallist.c interpol.c buffer.c looperdata.c jackmixer.c shuttle.c serialio.c midi.c
TARGETS = $(SOURCES:.c=.o)

common: $(TARGETS) 

.c.o: 
	$(CC) $(CFLAGS) -c -o $@ $*.c
clean:
	rm -f *.o

=== src/frontend/klopfer/Makefile ===
SOURCES = klopfer.c
TARGETS = $(SOURCES:.c=.o)

klopfer: klopfer.o
	$(CC) $(CFLAGS) ../../common/*.o klopfer.o -o klopfer -ljack -lsndfile -lasound

.c.o: 
	$(CC) $(CFLAGS) -c -o $@ $*.c

install: klopfer
	install -m 755 klopfer $(BIN_DIR)
	install	-m 644 klopfer.png $(PIXMAPS_DIR)

clean:
	rm -f *.o klopfer

=== src/frontend/kluppe/Makefile ===
BIN_DIR = $(INSTALL_PREFIX)/bin
PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
SOURCES = sfpreview.c configfile.c griddialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppe.c 
TARGETS = $(SOURCES:.c=.o)

kluppe: $(TARGETS) 
	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" *.o ../../common/*.o -o kluppe `pkg-config gtk+-2.0 gthread-2.0 alsa jack sndfile libxml-2.0 --libs gthread`

.c.o: 
	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" -c -o $@ $*.c `pkg-config gtk+-2.0 --cflags` `xml2-config --cflags`



install: kluppe
	install -m 755 kluppe $(BIN_DIR)
	install	-m 644 kluppe.png $(PIXMAPS_DIR)

clean:
	rm -f *.o kluppe

## kluppe 0.6.3

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
 TEMP_ROOT = /tmp
 TEMP_DIR = kluppe-$(VERSION)
-#CFLAGS = -O3  -Wall -march=pentium3 -g
-CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA
+#CFLAGS = -march=pentium3 -g 
+CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
 export 
 
 kluppe: commons

=== src/common/Makefile ===
SOURCES = speciallist.c interpol.c buffer.c looperdata.c jackmixer.c shuttle.c \
tranzport.c serialio.c midi.c osc.c filechunk.c peakview.c
TARGETS = $(SOURCES:.c=.o)

common: $(TARGETS) 

.c.o: 
	$(CC) $(CFLAGS) -c -o $@ $*.c
clean:
	rm -f *.o

=== src/frontend/kluppe/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TARGETS = $(SOURCES:.c=.o)
 
 kluppe: $(TARGETS) 
-	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" *.o ../../common/*.o -o kluppe `pkg-config gtk+-2.0 gthread-2.0 alsa jack sndfile libxml-2.0 --libs gthread`
+	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" *.o ../../common/*.o -o kluppe `pkg-config gtk+-2.0 gthread-2.0 libusb alsa jack sndfile liblo libxml-2.0 --libs gthread-2.0`
 
 .c.o: 
 	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" -c -o $@ $*.c `pkg-config gtk+-2.0 --cflags` `xml2-config --cflags`

## kluppe 0.6.8

=== Makefile ===
--- 
+++ 
@@ -10,9 +10,11 @@
 export 
 
 kluppe: commons 
+	rm -f src/frontend/kluppe/kluppe.o
 	cd src/frontend/kluppe && $(MAKE)
 
 klopfer: commons
+	rm -f src/frontend/klopfer/klopfer.o
 	cd src/frontend/klopfer && $(MAKE)
 
 commons:

=== src/frontend/kluppe/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 BIN_DIR = $(INSTALL_PREFIX)/bin
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
+MAN_DIR = $(INSTALL_PREFIX)/man/man1
 SOURCES = sfpreview.c configfile.c griddialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppe.c 
 TARGETS = $(SOURCES:.c=.o)
 
@@ -12,8 +13,13 @@
 
 
 install: kluppe
-	install -m 755 kluppe $(BIN_DIR)
-	install	-m 644 kluppe.png $(PIXMAPS_DIR)
+	install -d $(DESTDIR)$(BIN_DIR)
+	install -m 755 kluppe $(DESTDIR)$(BIN_DIR)
+	install -d $(DESTDIR)$(PIXMAPS_DIR)
+	install	-m 644 kluppe.png $(DESTDIR)$(PIXMAPS_DIR)
+	install -m 644 kluppe.xpm $(DESTDIR)$(PIXMAPS_DIR)
+	install -d $(DESTDIR)$(MAN_DIR)
+	install -m 644 kluppe.1 $(DESTDIR)$(MAN_DIR)
 
 clean:
 	rm -f *.o kluppe

## kluppe 0.6.10

=== src/common/Makefile ===
SOURCES = speciallist.c interpol.c buffer.c looperdata.c jackmixer.c shuttle.c \
tranzport.c serialio.c midi.c osc.c filechunk.c peakview.c clickmodes.c
TARGETS = $(SOURCES:.c=.o)

common: $(TARGETS) 

.c.o: 
	$(CC) $(CFLAGS) -c -o $@ $*.c
clean:
	rm -f *.o

## kluppe 0.6.12

=== src/frontend/kluppe/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 BIN_DIR = $(INSTALL_PREFIX)/bin
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
 MAN_DIR = $(INSTALL_PREFIX)/man/man1
-SOURCES = sfpreview.c configfile.c griddialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppe.c 
+SOURCES = sfpreview.c configfile.c griddialog.c threshdialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppe.c 
 TARGETS = $(SOURCES:.c=.o)
 
 kluppe: $(TARGETS)

## kluppe 0.6.14

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
 TEMP_ROOT = /tmp
 TEMP_DIR = kluppe-$(VERSION)
-#CFLAGS = -march=pentium3 -g 
+#CFLAGS = -pthread -march=pentium-m -mfpmath=sse -msse3 -g -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
 CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
 export

=== src/frontend/klopfer/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TARGETS = $(SOURCES:.c=.o)
 
 klopfer: klopfer.o
-	$(CC) $(CFLAGS) ../../common/*.o klopfer.o -o klopfer -ljack -lsndfile -lasound
+	$(CC) $(CFLAGS) ../../common/*.o klopfer.o -o klopfer -ljack -lsndfile -lasound -lusb -llo
 
 .c.o: 
 	$(CC) $(CFLAGS) -c -o $@ $*.c

=== src/frontend/kluppe/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 BIN_DIR = $(INSTALL_PREFIX)/bin
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
 MAN_DIR = $(INSTALL_PREFIX)/man/man1
-SOURCES = sfpreview.c configfile.c griddialog.c threshdialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppe.c 
+SOURCES = sfpreview.c configfile.c griddialog.c threshdialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppe.c alphatrack_callback.c
 TARGETS = $(SOURCES:.c=.o)
 
 kluppe: $(TARGETS)

=== debian/changelog ===
kluppe (0.6.14-2build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:51:25 +0000

kluppe (0.6.14-2) unstable; urgency=medium

  * debian/rules: add -lm to LDFLAGS (closes: #713571)
  * debian/rules: add dpkg-buildflags and DEB_BUILD_HARDENING
  * debian/control: build-depends on libjack-jackd2-dev
  * debian/control: bump Standards-Version to 3.9.5
  * debian/control: remove 'a' from short description
  * debian/source/format: add 3.0 (quilt), removing quilt from Build-Depends
  * debian/patches: add various patches to fix warning and remove deprecated
    functions calls

 -- Paul Brossier <piem@debian.org>  Fri, 20 Dec 2013 10:26:56 -0500

kluppe (0.6.14-1) unstable; urgency=low

  * New upstream release
  * debian/compat: bump to 7
  * debian/control: bump Standards-Version to 3.8.3
  * debian/copyright: add copyright for gtkmeter
  * debian/rules: use zen guru mode
  * debian/control: adjust debhelper version to 7.0.0, switch to quilt
  * debian/patches/10_install_man.diff: merge with upstream
  * debian/README.source: add pointer to quilt documentation

 -- Paul Brossier <piem@debian.org>  Mon, 28 Sep 2009 15:02:10 +0200

kluppe (0.6.12-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/rules: use dpatch, imported old patches from
    0.6.10
  * debian/control: bump Standards-Version to 3.7.3
  * debian/menu: update section to Applications
  * debian/control: move homepage to source package field
  * debian/rules: do not ignore make clean error

 -- Paul Brossier <piem@debian.org>  Tue, 29 Jan 2008 17:54:11 +0100

kluppe (0.6.10-1) unstable; urgency=low

  * New upstream release
  * Added liasound-dev to Build-Deps

 -- Paul Brossier <piem@debian.org>  Mon, 16 Apr 2007 23:38:48 +0200

kluppe (0.6.8-1) unstable; urgency=low

  * New upstream release
  * Bump standards-version

 -- Paul Brossier <piem@debian.org>  Wed, 27 Sep 2006 11:10:18 +0200

kluppe (0.6.5-1) unstable; urgency=low

  * New upstream release
  * Manpage and icons integrated upstream
  * Apply .desktop update from Emmet Hikory (0.5.1-1ubuntu1)

 -- Paul Brossier <piem@debian.org>  Mon, 26 Jun 2006 11:21:29 +0200

kluppe (0.6.3-1) unstable; urgency=low

  * New upstream release
  * Smaller progress bar width fix window positioning 

 -- Paul Brossier <piem@debian.org>  Sun, 23 Apr 2006 12:53:56 +0200

kluppe (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Wed, 19 Apr 2006 12:48:00 +0200

kluppe (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Added Build-depends on libusb-dev and liblo-dev

 -- Paul Brossier <piem@debian.org>  Mon, 17 Apr 2006 13:33:43 +0200

kluppe (0.5.1-2) unstable; urgency=low

  * Update src/frontend/kluppe/Makefile for new gthread (closes: #359843)

 -- Paul Brossier <piem@debian.org>  Fri,  7 Apr 2006 15:54:33 +0100

kluppe (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Added libasound2-dev to build-deps
  * src/common/midi.c: change exit to warnings
    (graceful exit when snd-seq is not loaded)

 -- Paul Brossier <piem@debian.org>  Mon,  1 Aug 2005 23:51:26 +0100

kluppe (0.5-2) unstable; urgency=low

  * Changed optimisation level to 2
  * Fix infinite loop when no jackd is running
  * Fix icon and menu entry installation, add .desktop
  * Remove README.Debian, update copyright
  * Complete manpage, update long description
  * Recommends jackd

 -- Paul Brossier <piem@debian.org>  Mon, 18 Jul 2005 02:28:26 +0100

kluppe (0.5-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable (closes: #247160)

 -- Paul Brossier <piem@debian.org>  Fri,  8 Jul 2005 05:57:45 +0100

kluppe (0.4.7-1) unstable; urgency=low

  * New upstream release
  * Added libxml2-dev Build-Depends
  * Added watch file, bumped Standard Version, corrected spelling

 -- Paul Brossier <piem@altern.org>  Tue, 26 Apr 2005 19:44:15 +0100

kluppe (0.4.5-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Sun,  3 Apr 2005 18:34:24 +0100

kluppe (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Paul Brossier <piem@altern.org>  Mon,  3 May 2004 16:41:24 +0100

=== debian/control ===
Source: kluppe
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               libgtk2.0-dev,
               libasound-dev,
               libjack-jackd2-dev,
               libsndfile1-dev,
               libxml2-dev,
               libasound2-dev,
               libusb-dev,
               liblo-dev
Standards-Version: 3.9.5
Homepage: http://kluppe.klingt.org/

Package: kluppe
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: jackd
Description: loop-player and recorder designed for live use
 kluppe is written in c and uses jack, gtk and sndfile. Features include:
 .
  - multiple files buffers, multiple 'loopers' tracks
  - direct (gui) access to all loopers
  - combined and per loop output ports for jack
  - different playmodes including "granular"
 .
 kluppe is the austrian word for clip and sounds even crazier if you loop it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS=-pthread -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS=-lm $(shell dpkg-buildflags --get LDFLAGS)

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" INSTALL_PREFIX=/usr

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) clean INSTALL_PREFIX=/usr
	dh clean --after dh_auto_clean

override_dh_auto_install:
	dh install --before dh_auto_install
	$(MAKE) install CFLAGS="$(CFLAGS)" DESTDIR=$(CURDIR)/debian/kluppe INSTALL_PREFIX=/usr
	dh_install debian/kluppe.desktop usr/share/applications
	dh install --after dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.log

## kluppe 0.6.15

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
 TEMP_ROOT = /tmp
 TEMP_DIR = kluppe-$(VERSION)
-#CFLAGS = -pthread -march=pentium-m -mfpmath=sse -msse3 -g -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
-CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
+CFLAGS = -pthread -march=pentium-m -mfpmath=sse -msse3 -g -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
+#CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
 export 
 
 kluppe: commons

=== debian/changelog ===
kluppe (0.6.15-1~rzr1) unstable; urgency=medium

  * New upstream release

 -- Philippe Coval <rzr@gna.org>  Sat, 19 Apr 2014 12:44:45 +0200

## kluppe 0.6.20

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
 TEMP_ROOT = /tmp
 TEMP_DIR = kluppe-$(VERSION)
-CFLAGS = -pthread -march=pentium-m -mfpmath=sse -msse3 -g -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
-#CFLAGS = -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
+CFLAGS = -g -pthread -march=native -mfpmath=sse -msse3 -O3 -Wall -DHAVE_ALSA -DHAVE_OSC -DHAVE_USB
+#CFLAGS = -msse3 -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
 export 
 
 kluppe: commons 
-	rm -f src/frontend/kluppe/kluppe.o
+	rm -f src/frontend/kluppe/kluppe.o 
 	cd src/frontend/kluppe && $(MAKE)
 
 klopfer: commons

=== debian/changelog ===
kluppe (0.6.20-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:12:06 +1100

kluppe (0.6.20-1.2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:15:04 +0000

kluppe (0.6.20-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on debhelper-compat v13 and pkg-config.
    - Drop build-dependency on libasound-dev; it is provided by libasound2-dev.
  * Remove legacy debian/compat file.
  * debian/patches:
    + 70_cflags.diff: Update existing patch to use pkg-config to find
      libxml2's headers and CFLAGS (Closes: #949406).
    + cross-build.patch: Enable cross-building from source (Closes: #969567).
      Thanks to Helmut Grohne for providing a patch.
  * debian/rules: Let dh_auto_build pass cross-tools to `make'.
  * debian/watch: Update to version 4.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 08 Aug 2022 22:10:04 +1000

kluppe (0.6.20-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix segmentation fauled caused by passing a truncated pointer instead of a
    GtkType. (Closes: #863421)

 -- Chris Lamb <lamby@debian.org>  Sat, 27 May 2017 09:41:28 +0100

kluppe (0.6.20-1) unstable; urgency=medium

  * Imported Upstream version 0.6.20 (closes: #749205)
  * debian/rules: update to debhelper 9, use --as-needed
  * debian/compat: bump to 9
  * debian/menu: removed
  * debian/control: bump to debhelper 9, s-v 3.9.8
  * debian/copyright: update email address
  * debian/patches/20_cant_process.diff: refresh
  * debian/patches/30_format_string.diff: refresh
  * debian/patches/70_cflags.diff: refresh
  * debian/patches/: drop old patches
  * debian/patches/80_manpage_email.diff: update email address

 -- Paul Brossier <piem@debian.org>  Fri, 25 Nov 2016 17:19:10 +0100

=== debian/control ===
Source: kluppe
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libgtk2.0-dev,
 libjack-jackd2-dev,
 liblo-dev,
 libsndfile1-dev,
 libusb-dev,
 libxml2-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://kluppe.klingt.org/

Package: kluppe
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: jackd
Description: loop-player and recorder designed for live use
 kluppe is written in c and uses jack, gtk and sndfile. Features include:
 .
  - multiple files buffers, multiple 'loopers' tracks
  - direct (gui) access to all loopers
  - combined and per loop output ports for jack
  - different playmodes including "granular"
 .
 kluppe is the Austrian word for clip and sounds even crazier if you loop it.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CFXXLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" INSTALL_PREFIX=/usr

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean INSTALL_PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install CFLAGS="$(CFLAGS)" DESTDIR=$(CURDIR)/debian/kluppe INSTALL_PREFIX=/usr
	dh_install debian/kluppe.desktop usr/share/applications

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.log

=== debian/watch ===
version=4
http://dieb13.klingt.org/downloads/ kluppe-(.*)\.tar\.gz

## kluppe 0.6.21

=== Makefile ===
--- 
+++ 
@@ -6,12 +6,17 @@
 TEMP_ROOT = /tmp
 TEMP_DIR = kluppe-$(VERSION)
 CFLAGS = -g -pthread -march=native -mfpmath=sse -msse3 -O3 -Wall -DHAVE_ALSA -DHAVE_OSC -DHAVE_USB
+# for pi/armhf: CFLAGS = -g -pthread -march=armv6 -mfpu=vfp -mfloat-abi=hard -O3 -Wall -DHAVE_ALSA -DHAVE_OSC -DHAVE_USB
 #CFLAGS = -msse3 -pthread -O3 -Wall -DHAVE_ALSA -DHAVE_USB -DHAVE_OSC
 export 
 
 kluppe: commons 
 	rm -f src/frontend/kluppe/kluppe.o 
 	cd src/frontend/kluppe && $(MAKE)
+
+kluppi: commons
+	rm -f src/frontend/kluppi/kluppi.o 
+	cd src/frontend/kluppi && $(MAKE)
 
 klopfer: commons
 	rm -f src/frontend/klopfer/klopfer.o
@@ -23,12 +28,16 @@
 install: kluppe
 	cd src/frontend/kluppe && $(MAKE) install
 
+kluppi_install: kluppi
+	cd src/frontend/kluppi && $(MAKE) install
+
 klopfer_install: klopfer
 	cd src/frontend/klopfer && $(MAKE) install
 
 clean:
 	cd src/common && $(MAKE) clean
 	cd src/frontend/kluppe && $(MAKE) clean
+	cd src/frontend/kluppi && $(MAKE) clean
 	cd src/frontend/klopfer && $(MAKE) clean
 
 tgz: clean

=== src/common/Makefile ===
SOURCES = speciallist.c interpol.c buffer.c looperdata.c jackmixer.c shuttle.c \
tranzport.c serialio.c midi.c osc.c filechunk.c peakview.c clickmodes.c xsession.c \
alphatrack.c
TARGETS = $(SOURCES:.c=.o)

common: $(TARGETS) 

.c.o: 
	$(CC) $(CFLAGS) -c -o $@ $*.c
clean:
	rm -f *.o

=== src/frontend/klopfer/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TARGETS = $(SOURCES:.c=.o)
 
 klopfer: klopfer.o
-	$(CC) $(CFLAGS) ../../common/*.o klopfer.o -o klopfer -ljack -lsndfile -lasound -lusb -llo
+	$(CC) $(CFLAGS) ../../common/*.o klopfer.o -o klopfer -ljack -lsndfile -lasound -lusb -llo -lm
 
 .c.o: 
 	$(CC) $(CFLAGS) -c -o $@ $*.c

=== src/frontend/kluppe/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 TARGETS = $(SOURCES:.c=.o)
 
 kluppe: $(TARGETS) 
-	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" *.o ../../common/*.o -o kluppe `pkg-config gtk+-2.0 gthread-2.0 libusb alsa jack sndfile liblo libxml-2.0 --libs gthread-2.0`
+	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" *.o ../../common/*.o -o kluppe `pkg-config gtk+-2.0 gthread-2.0 libusb alsa jack sndfile liblo libxml-2.0 --libs gthread-2.0` -lm
 
 .c.o: 
 	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" -c -o $@ $*.c `pkg-config gtk+-2.0 --cflags` `xml2-config --cflags`

=== src/frontend/kluppi/Makefile ===
BIN_DIR = $(INSTALL_PREFIX)/bin
PIXMAPS_DIR = $(INSTALL_PREFIX)/share/pixmaps
MAN_DIR = $(INSTALL_PREFIX)/man/man1
SOURCES = sfpreview.c configfile.c griddialog.c threshdialog.c graindialog.c customcurve.c looper.c gtkmeter.c gtkloopview.c kluppi.c alphatrack_callback.c
TARGETS = $(SOURCES:.c=.o)

kluppi: $(TARGETS) 
	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" *.o ../../common/*.o -o kluppi `pkg-config gtk+-2.0 gthread-2.0 libusb alsa jack sndfile liblo libxml-2.0 --libs gthread-2.0` -lm

.c.o: 
	$(CC) $(CFLAGS) -DPIXMAPS_DIR=\"$(PIXMAPS_DIR)\" -c -o $@ $*.c `pkg-config gtk+-2.0 --cflags` `xml2-config --cflags`



install: kluppi
	install -d $(DESTDIR)$(BIN_DIR)
	install -m 755 kluppi $(DESTDIR)$(BIN_DIR)
	install -d $(DESTDIR)$(PIXMAPS_DIR)
	install	-m 644 kluppe.png $(DESTDIR)$(PIXMAPS_DIR)
	install -m 644 kluppe.xpm $(DESTDIR)$(PIXMAPS_DIR)
	install -d $(DESTDIR)$(MAN_DIR)
	install -m 644 kluppi.1 $(DESTDIR)$(MAN_DIR)

clean:
	rm -f *.o kluppi

=== debian/changelog ===
kluppe (0.6.21-1) unstable; urgency=medium

  * New upstream version 0.6.21
    + Drop patches applied upstream
    + Refresh patches
  * Salvage package on behalf of the debian-multimedia team (Closes: #1114992)
  * Make sure that CPPFLAGS are honoured by build-system
  * B-D on libjack-dev rather than libjack-jackd2-dev
  * Drop obsolete Rules-Requires-Root stanza.
  * Apply 'wrap-and-sort -ast'
  * Add Vcs-* stanzas
  * Update copyright information
    + Bump copyright dates
    + Modernize FSF-address
    + Add 'licensecheck' target
    + Generate d/copyright_hints
    + Add myself to copyright holders
  * Add salsa-ci configuration
  * Update d/watch to version 5
  * Bump standards version to 4.7.2
  * Use DEP-14 repository layout
  * gbp: use pristine-tar and sign tags

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Oct 2025 17:01:52 +0200

kluppe (0.6.20-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/changelog: Trim trailing whitespace (lintian).
  * debian/control:
    + Build-Depend on pkgconf instead of pkg-config.
    + Declare Rules-Requires-Root: no (lintian).
    + Raise Standards-Version to 4.7.0 from 3.9.8 (no changes needed).
    + Remove Section field from binary package (lintian).
  * debian/copyright: Convert to DEP-3 format.
  * debian/kluppe.desktop:
    + Drop deprecated Encoding key and add Keywords key (lintian).
    + Drop file extension from Icon field to meet Icon Theme Specification.
  * debian/patches:
    + Fix FTBFS due to ‘struct input_event’ API change on some architectures
      (Closes: #1067546).
    + Add missing metadata to various patches.
  * debian/rules:
    + Set hardening=+all with DEB_BUILD_MAINT_OPTIONS.
    + Replace calls to dpkg-buildflags with buildflags.mk.
  * debian/watch: Use secure HTTP (lintian).
  * Drop debian/README.source.

 -- Hugh McMaster <hmc@debian.org>  Mon, 06 Jan 2025 21:15:57 +1100

=== debian/control ===
Source: kluppe
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libgtk2.0-dev,
 libjack-dev,
 liblo-dev,
 libsndfile1-dev,
 libusb-dev,
 libxml2-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: http://kluppe.klingt.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/kluppe.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kluppe

Package: kluppe
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 jackd,
Description: loop-player and recorder designed for live use
 kluppe is written in c and uses jack, gtk and sndfile. Features include:
 .
  - multiple files buffers, multiple 'loopers' tracks
  - direct (gui) access to all loopers
  - combined and per loop output ports for jack
  - different playmodes including "granular"
 .
 kluppe is the Austrian word for clip and sounds even crazier if you loop it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)" INSTALL_PREFIX=/usr

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean INSTALL_PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install CFLAGS="$(CFLAGS)" DESTDIR=$(CURDIR)/debian/kluppe INSTALL_PREFIX=/usr
	dh_install debian/kluppe.desktop usr/share/applications

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.log



################ d/copyright helper ##############
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
Version: 5

Source: https://dieb13.klingt.org/downloads/
Matching-Pattern: kluppe-(.*)\.tar\.gz
